package sorryGame;

@SuppressWarnings("UnusedDeclaration") public class SorryGame {

    GameBoard board;
    Deck deck;
    Deck.Card currentCard;
    Pawn[] pawns;

    public SorryGame(){
        initGame();
    }

    public int drawCard(){
        currentCard = deck.getCard();
        return currentCard.getRank();
    }

    public boolean validateMove(String pieceID, int fromPosition, int toPosition, int fromPosition2, int toPosition2) {
        boolean valid;
        if (currentCard.getRank() == 7){
            if (valid = board.validateMove(currentCard.getRank(), pieceID, fromPosition, toPosition, fromPosition2, toPosition2)){
                board.makeMove(currentCard.getRank(), pieceID, fromPosition, toPosition);
                if (fromPosition2 != 0 && toPosition2 != 0){
                    board.makeMove(currentCard.getRank(), pieceID, fromPosition2, toPosition2);
                }

            }
        }
        else{ 
        	if (valid = board.validateMove(currentCard.getRank(), pieceID, fromPosition, toPosition, 0, 0)){
                board.makeMove(currentCard.getRank(), pieceID, fromPosition, toPosition);
            }
        }
        return valid;
    }

    private void initGame(){
        deck = new Deck();
        board = new GameBoard();
    }
}
