package sorryGame;

/**
 * CS Program: Pawn Programmer: Al Moataz Hassan Date: 3/23/12
 */
@SuppressWarnings("UnusedDeclaration") public class Pawn {
	private int num;
	private String id, positionID, color;
	private int location;
    PlayableSquare[] array, homeArray;
    PlayableSquare startSquare;
    int startIndex, safetyIndex, distanceHome, homeIndex;

	public Pawn(String color, String positionID, int number, int location, PlayableSquare startSquare, PlayableSquare[] array, PlayableSquare[] homeArray){
		setColor(color);
		this.num = number;
        this.location = location;
        this.startSquare = startSquare;
        this.homeArray = homeArray;
        setPositionID(positionID);
        setArray(array);
        setStartIndex();
		this.setID(number);
	}

    private void setPositionID(String positionID) {
        this.positionID = positionID;
    }

    private void setStartIndex() {
        if(color.equals("green")){ startIndex = 4; safetyIndex = (startIndex-2); homeIndex = 65; distanceHome = 58;}
        else if(color.equals("red")){ startIndex = 19; safetyIndex = (startIndex-2); homeIndex = 71; distanceHome = 58;}
        else if(color.equals("blue")){ startIndex = 34; safetyIndex = (startIndex-2); homeIndex = 77; distanceHome = 58;}
        else if(color.equals("yellow")){ startIndex = 49; safetyIndex = (startIndex-2); homeIndex = 83; distanceHome = 58;}
    }

    public int getSafetyIndex() {
        return safetyIndex;
    }

    public void modDistanceHome(int change) {
        distanceHome = distanceHome + change;
    }
    public void setColor(String color){
		this.color = color;
        this.setID(this.num);
	}

    public void setID(int number){
		this.id = this.color.toCharArray()[0] + Integer.toString(number);
	}

	public String getID(){
		return this.id;
	}

    public PlayableSquare[] getArray(){
        return this.array;
    }

    public void setArray(PlayableSquare[] array){
        this.array = array;
    }

	public void setLocation(int l){
		this.location = l;
	}

	public int getLocation(){
		return this.location;
	}

    public PlayableSquare getStartSquare() {
        return startSquare;
    }

    public String getPositionID() {
        return positionID;
    }

    public void setDistanceHome(int distance) {
        distanceHome = distance;
    }
}

